Anonymous Login
2018-12-15 14:30 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001846OpenClonkObjectspublic2016-12-01 22:03
ReporterFulgen 
Assigned ToMaikel 
PrioritynormalSeverityminorReproducibilityrandom
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Versiongit master 
Summary0001846: Power producer change their owner to NO_OWNER
DescriptionPower producer sometimes change their owner to NO_OWNER, which causes a new black field with no energy supply.
It seems that this happens randomly if moving a power producer, e.g. by digging the earth under it, which causes the field to be resized.
TagsObjects, Power
Attached Files

-Relationships
+Relationships

-Notes

~0005512

Maikel (developer)

I know what the issue is and can reliably reproduce it, I am just confused by how it only appeared now.

Hope to be able to fix it this week.

~0005513

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/7552fd94f7f73ddd351c7de9ca54ef9c93787fc8

Changeset 7552fd9 by Maikel de Vries <mdt.maikel@gmail.com>
fix ownership changes of moving flags (0001846)

~0005518

Zapper (developer)

I suspect you wanted "CanBeOwned" instead of "CanBeOwner" in your commit, Maikel?

re https://git.openclonk.org/openclonk.git/commitdiff/7552fd94f7f73ddd351c7de9ca54ef9c93787fc8

~0005519

Zapper (developer)

Reminder sent to: Maikel

Ping

~0005521

Maikel (developer)

Ah, stupid, yes indeed.

~0005522

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/1d258d3d4883f854d1260516f3a20d7f7a0fd1a2

Changeset 1d258d3 by Maikel de Vries <mdt.maikel@gmail.com>
fix (0001846) for real now

+Notes

-Issue History
Date Modified Username Field Change
2016-11-04 20:20 Fulgen New Issue
2016-11-04 20:20 Fulgen Tag Attached: Objects
2016-11-04 20:20 Fulgen Tag Attached: Power
2016-11-27 23:44 Maikel Note Added: 0005512
2016-11-27 23:54 occ Note Added: 0005513
2016-11-27 23:54 Maikel Assigned To => Maikel
2016-11-27 23:54 Maikel Status new => resolved
2016-11-27 23:54 Maikel Resolution open => fixed
2016-11-27 23:54 Maikel Fixed in Version => git master
2016-11-30 14:36 Zapper Status resolved => feedback
2016-11-30 14:36 Zapper Resolution fixed => reopened
2016-11-30 14:36 Zapper Note Added: 0005518
2016-11-30 14:37 Zapper Note Added: 0005519
2016-12-01 21:59 Maikel Note Added: 0005521
2016-12-01 22:03 occ Note Added: 0005522
2016-12-01 22:03 Maikel Status feedback => resolved
2016-12-01 22:03 Maikel Resolution reopened => fixed
+Issue History